using System;


namespace ConsoleApp2
{
    class Program
    {
        static int faktorijal(int n)
        {
            int i, fak = 1;
            for (i = 1; i <= n; i++)
            {
                fak = fak * i;
            }

            return fak;
        }

        static void Main(string[] args)
        {

            int j = int.Parse(Console.ReadLine());
            string x = Console.ReadLine();
            long sum=1;
            int[] n = new int[26];
            for (int i = 0; i < j; i++)
            {
                n[(int)x[i] - 65]++;
                if (n[(int)x[i] - 65] > 2)
                    if (x[i] != x[i - 1])
                        n[(int)x[i] - 65]--;
            }
            for (int i = 0; i < 26; i++)
            {
                if (n[i] - 1 != 0)
                {
                    sum *= (faktorijal(n[i]) / (faktorijal(n[i]-1) * 1));
                }
            }
            Console.WriteLine(sum%(Math.Pow(10,9)+7));
        }
    }
}